package com.steering.pss.plnsaleord.steelMarkingPlan.entity;

public class PlnBasePlineLzEntity {
	/**
	 * 产线代码
	 */
	private String plineCode = "";
	/**
	 * 产线描述
	 */
	private String plineName = "";
	/**
	 * 工序代码
	 */
	private String processCode = "";
	/**
	 * 工序描述
	 */
	private String processDesc = "";
	/**
	 * 首炉切头长（m）
	 */
	private String cutLenBegin = "";
	/**
	 * 不换中包切尾长（m）
	 */
	private String cutLenEndUnch = "";
	/**
	 * 换中包切尾长（m）
	 */
	private String cutLenEndCh = "";
	/**
	 * 最大流数
	 */
	private String flowNumMax = "";
	/**
	 * 中包铸余
	 */
	private String zbLeftWt = "";
	/**
	 * 排产简称
	 */
	private String scheduleCode = "";
	/**
	 * 创建时间
	 */
	private String creatTime = "";

	/**
	 * 产线代码
	 * 
	 * @return value
	 */
	public String getPlineCode() {
		return plineCode;
	}

	/**
	 * 产线代码
	 * 
	 * @param plineCode
	 *            value
	 */
	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	/**
	 * 产线描述
	 * 
	 * @return value
	 */
	public String getPlineName() {
		return plineName;
	}

	/**
	 * 产线描述
	 * 
	 * @param plineName
	 *            value
	 */
	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	/**
	 * 工序代码
	 * 
	 * @return value
	 */
	public String getProcessCode() {
		return processCode;
	}

	/**
	 * 工序代码
	 * 
	 * @param processCode
	 *            value
	 */
	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	/**
	 * 工序描述
	 * 
	 * @return value
	 */
	public String getProcessDesc() {
		return processDesc;
	}

	/**
	 * 工序描述
	 * 
	 * @param processDesc
	 *            value
	 */
	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	/**
	 * 首炉切头长（m）
	 * 
	 * @return value
	 */
	public String getCutLenBegin() {
		return cutLenBegin;
	}

	/**
	 * 首炉切头长（m）
	 * 
	 * @param cutLenBegin
	 *            value
	 */
	public void setCutLenBegin(String cutLenBegin) {
		this.cutLenBegin = cutLenBegin;
	}

	/**
	 * 不换中包切尾长（m）
	 * 
	 * @return value
	 */
	public String getCutLenEndUnch() {
		return cutLenEndUnch;
	}

	/**
	 * 不换中包切尾长（m）
	 * 
	 * @param cutLenEndUnch
	 *            value
	 */
	public void setCutLenEndUnch(String cutLenEndUnch) {
		this.cutLenEndUnch = cutLenEndUnch;
	}

	/**
	 * 换中包切尾长（m）
	 * 
	 * @return value
	 */
	public String getCutLenEndCh() {
		return cutLenEndCh;
	}

	/**
	 * 换中包切尾长（m）
	 * 
	 * @param cutLenEndCh
	 *            value
	 */
	public void setCutLenEndCh(String cutLenEndCh) {
		this.cutLenEndCh = cutLenEndCh;
	}

	/**
	 * 最大流数
	 * 
	 * @return value
	 */
	public String getFlowNumMax() {
		return flowNumMax;
	}

	/**
	 * 最大流数
	 * 
	 * @param flowNumMax
	 *            value
	 */
	public void setFlowNumMax(String flowNumMax) {
		this.flowNumMax = flowNumMax;
	}

	/**
	 * 中包铸余
	 * 
	 * @return value
	 */
	public String getZbLeftWt() {
		return zbLeftWt;
	}

	/**
	 * 中包铸余
	 * 
	 * @param zbLeftWt
	 *            value
	 */
	public void setZbLeftWt(String zbLeftWt) {
		this.zbLeftWt = zbLeftWt;
	}

	/**
	 * 排产简称
	 * 
	 * @return value
	 */
	public String getScheduleCode() {
		return scheduleCode;
	}

	/**
	 * 排产简称
	 * 
	 * @param scheduleCode
	 *            value
	 */
	public void setScheduleCode(String scheduleCode) {
		this.scheduleCode = scheduleCode;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreatTime() {
		return creatTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param creatTime
	 *            value
	 */
	public void setCreatTime(String creatTime) {
		this.creatTime = creatTime;
	}
}
